import React, {Component} from 'react'
import PropTypes from 'prop-types'

import MkInterItem from './interItem'
// import './index.scss'

class MkInterfaces extends Component {
  static propTpyes = {
    BID: PropTypes.any,
    interfaces: PropTypes.array
  }

  state = {}

  shouldComponentUpdate (nextProps, nextState) { return false }

  /**
   * @description 组件销毁，清除state更新，清除快捷键设置
   */
  componentWillUnmount () {
    this.setState = () => {
      return
    }
  }

  render() {
    const { interfaces, BID } = this.props

    return (
      <>
        {interfaces.map(m => <MkInterItem key={m.uuid} config={m} BID={BID}/>)}
      </>
    )
  }
}

export default MkInterfaces